stats.c File Reference
`#include "log.h"`
`#include "signer/stats.h"`

Go to the source code of this file.

## Functions

stats_type * | stats_create (void)
void | stats_clear (stats_type *stats)
void | stats_log (stats_type *stats, const char *name, uint32_t serial, ldns_rr_type nsec_type)
void | stats_cleanup (stats_type *stats)

## Function Documentation

## stats_cleanup()

void stats_cleanup | ( | stats_type * | stats | ) |

Clean up statistics.

Definition at line 106 of file stats.c.

References stats_struct::stats_lock.

Referenced by zone_cleanup().

## stats_clear()

void stats_clear | ( | stats_type * | stats | ) |

Clear statistics.

Definition at line 54 of file stats.c.

References stats_struct::end_time, stats_struct::nsec_count, stats_struct::nsec_time, stats_struct::sig_count, stats_struct::sig_reuse, stats_struct::sig_soa_count, stats_struct::sig_time, stats_struct::sort_count, stats_struct::sort_done, stats_struct::sort_time, and stats_struct::start_time.

Referenced by stats_create(), tools_output(), and zone_recover2().

## stats_create()

stats_type * stats_create | ( | void |  | ) |

Signer statistics. Initialize statistics.

Definition at line 40 of file stats.c.

References stats_clear(), and stats_struct::stats_lock.

Referenced by zone_create().

## stats_log()

void stats_log | ( | stats_type * | stats,
|  | const char * | name,
|  | uint32_t | serial,
|  | ldns_rr_type | nsec_type
| ) |  |

Log statistics.

Definition at line 76 of file stats.c.

References stats_struct::end_time, stats_struct::nsec_count, stats_struct::nsec_time, stats_struct::sig_count, stats_struct::sig_reuse, stats_struct::sig_time, stats_struct::sort_count, stats_struct::sort_time, and stats_struct::start_time.

Referenced by tools_output().